SEEDFILES(8)

NAME
seedfiles - manage temporary files and directories

SYNOPSIS
seedfiles [OPTIONS...] [CONFIG_FILE...]

DESCRIPTION
seedfiles provides a drop-in replacement for systemd-tmpfiles.

If CONFIG_FILE arguments are given, they specify the configuration files to process. An argument containing a slash (e.g. /etc/foo.conf or ./foo.conf) is treated as a direct path. Otherwise, the argument is interpreted as a bare configuration file name and looked up in the configured tmpfiles.d directories in order (the same set used when no arguments are given, depending on --user). The full filename including any .conf suffix must be specified. If a bare name cannot be resolved in any configuration directory, seedfiles exits with an error.

  Commands:

--create
    Create files and directories

--clean
    Clean up old files

--remove
    Remove files and directories

OPTIONS

--boot
    Also process entries with the '!' modifier

--dry-run
    Only print what would be done

--prefix=PATH
    Only process entries with matching prefix

--exclude-prefix=PATH
    Exclude entries with matching prefix

--user
    Run in user mode

--root=PATH
    All paths, including configuration directories, are interpreted relative to PATH. User and group names are resolved from PATH/etc/passwd and PATH/etc/group instead of the host NSS database. The %m specifier reads PATH/etc/machine-id. Symlinks whose targets would escape PATH are refused. Mutually exclusive with --user.

--verbose
    Enable verbose logging

-h, --help
    Show this help

--version
    Show version

MISSING FEATURES

  SELinux
No label management, -z/-Zonly do chmod/chown

  age-by
Timestamp in age column is ignored, only mtime is checked by cleanup

  credentials
No systemd-credentials support

  BTRFS
-v/-q/-Q fall back to mkdir, don't act on subvolumes/quotas

Copyright
Copyright © 2026 Matthias Geiger <werdahias@debian.org>.

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.